/*
 * Copyright (C) 2011-2023 Gary Kramlich <grim@reaperworld.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, see <https://www.gnu.org/licenses/>.
 */

#ifndef INTROSPECTABLE_TYPE_H
#define INTROSPECTABLE_TYPE_H

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

#define INTROSPECTABLE_TYPE_TYPE (introspectable_type_get_type())
G_DECLARE_FINAL_TYPE(
	IntrospectableType,
	introspectable_type,
	INTROSPECTABLE,
	TYPE,
	GObject)

G_GNUC_INTERNAL void introspectable_type_register(GTypeModule *module);

G_END_DECLS

#endif /* INTROSPECTABLE_TYPE_H */
